# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.beans.MethodInvocationException
Modifier and Type
Constant Field
Value
`public static final String`
`ERROR_CODE`
`"methodInvocation"`
org.springframework.beans.PropertyAccessor
Modifier and Type
Constant Field
Value
`public static final String`
`NESTED_PROPERTY_SEPARATOR`
`"."`
`public static final char`
`NESTED_PROPERTY_SEPARATOR_CHAR`
`'.'`
`public static final String`
`PROPERTY_KEY_PREFIX`
`"["`
`public static final char`
`PROPERTY_KEY_PREFIX_CHAR`
`'['`
`public static final String`
`PROPERTY_KEY_SUFFIX`
`"]"`
`public static final char`
`PROPERTY_KEY_SUFFIX_CHAR`
`']'`
org.springframework.beans.PropertyMatches
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_DISTANCE`
`2`
org.springframework.beans.StandardBeanInfoFactory
Modifier and Type
Constant Field
Value
`public static final String`
`IGNORE_BEANINFO_PROPERTY_NAME`
`"spring.beaninfo.ignore"`
org.springframework.beans.TypeMismatchException
Modifier and Type
Constant Field
Value
`public static final String`
`ERROR_CODE`
`"typeMismatch"`

org.springframework.beans.factory.BeanFactory
Modifier and Type
Constant Field
Value
`public static final String`
`FACTORY_BEAN_PREFIX`
`"&"`
`public static final char`
`FACTORY_BEAN_PREFIX_CHAR`
`'&'`
org.springframework.beans.factory.BeanFactoryUtils
Modifier and Type
Constant Field
Value
`public static final String`
`GENERATED_BEAN_NAME_SEPARATOR`
`"#"`
org.springframework.beans.factory.FactoryBean<T>
Modifier and Type
Constant Field
Value
`public static final String`
`OBJECT_TYPE_ATTRIBUTE`
`"factoryBeanObjectType"`

org.springframework.beans.factory.aot.AotServices<T>
Modifier and Type
Constant Field
Value
`public static final String`
`FACTORIES_RESOURCE_LOCATION`
`"META-INF/spring/aot.factories"`
org.springframework.beans.factory.aot.BeanFactoryInitializationCode
Modifier and Type
Constant Field
Value
`public static final String`
`BEAN_FACTORY_VARIABLE`
`"beanFactory"`
org.springframework.beans.factory.aot.BeanRegistrationAotProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`IGNORE_REGISTRATION_ATTRIBUTE`
`"aotProcessingIgnoreRegistration"`
org.springframework.beans.factory.aot.BeanRegistrationCodeFragments
Modifier and Type
Constant Field
Value
`public static final String`
`BEAN_DEFINITION_VARIABLE`
`"beanDefinition"`
`public static final String`
`INSTANCE_SUPPLIER_VARIABLE`
`"instanceSupplier"`

org.springframework.beans.factory.config.AutowireCapableBeanFactory
Modifier and Type
Constant Field
Value
`public static final int`
`AUTOWIRE_AUTODETECT`
`4`
`public static final int`
`AUTOWIRE_BY_NAME`
`1`
`public static final int`
`AUTOWIRE_BY_TYPE`
`2`
`public static final int`
`AUTOWIRE_CONSTRUCTOR`
`3`
`public static final int`
`AUTOWIRE_NO`
`0`
`public static final String`
`ORIGINAL_INSTANCE_SUFFIX`
`".ORIGINAL"`
org.springframework.beans.factory.config.BeanDefinition
Modifier and Type
Constant Field
Value
`public static final int`
`ROLE_APPLICATION`
`0`
`public static final int`
`ROLE_INFRASTRUCTURE`
`2`
`public static final int`
`ROLE_SUPPORT`
`1`
`public static final String`
`SCOPE_PROTOTYPE`
`"prototype"`
`public static final String`
`SCOPE_SINGLETON`
`"singleton"`
org.springframework.beans.factory.config.ConfigurableBeanFactory
Modifier and Type
Constant Field
Value
`public static final String`
`SCOPE_PROTOTYPE`
`"prototype"`
`public static final String`
`SCOPE_SINGLETON`
`"singleton"`
org.springframework.beans.factory.config.PlaceholderConfigurerSupport
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PLACEHOLDER_PREFIX`
`"${"`
`public static final String`
`DEFAULT_PLACEHOLDER_SUFFIX`
`"}"`
`public static final String`
`DEFAULT_VALUE_SEPARATOR`
`":"`
org.springframework.beans.factory.config.PropertyOverrideConfigurer
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_BEAN_NAME_SEPARATOR`
`"."`
org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
Modifier and Type
Constant Field
Value
`public static final int`
`SYSTEM_PROPERTIES_MODE_FALLBACK`
`1`
`public static final int`
`SYSTEM_PROPERTIES_MODE_NEVER`
`0`
`public static final int`
`SYSTEM_PROPERTIES_MODE_OVERRIDE`
`2`

org.springframework.beans.factory.support.AbstractBeanDefinition
Modifier and Type
Constant Field
Value
`public static final int`
`AUTOWIRE_AUTODETECT`
`4`
`public static final int`
`AUTOWIRE_BY_NAME`
`1`
`public static final int`
`AUTOWIRE_BY_TYPE`
`2`
`public static final int`
`AUTOWIRE_CONSTRUCTOR`
`3`
`public static final int`
`AUTOWIRE_NO`
`0`
`public static final int`
`DEPENDENCY_CHECK_ALL`
`3`
`public static final int`
`DEPENDENCY_CHECK_NONE`
`0`
`public static final int`
`DEPENDENCY_CHECK_OBJECTS`
`1`
`public static final int`
`DEPENDENCY_CHECK_SIMPLE`
`2`
`public static final String`
`INFER_METHOD`
`"(inferred)"`
`public static final String`
`ORDER_ATTRIBUTE`
`"order"`
`public static final String`
`PREFERRED_CONSTRUCTORS_ATTRIBUTE`
`"preferredConstructors"`
`public static final String`
`SCOPE_DEFAULT`
`""`
org.springframework.beans.factory.support.AutowireCandidateQualifier
Modifier and Type
Constant Field
Value
`public static final String`
`VALUE_KEY`
`"value"`
org.springframework.beans.factory.support.BeanDefinitionReaderUtils
Modifier and Type
Constant Field
Value
`public static final String`
`GENERATED_BEAN_NAME_SEPARATOR`
`"#"`
org.springframework.beans.factory.support.DefaultListableBeanFactory
Modifier and Type
Constant Field
Value
`public static final String`
`STRICT_LOCKING_PROPERTY_NAME`
`"spring.locking.strict"`
org.springframework.beans.factory.support.PropertiesBeanDefinitionReader
Modifier and Type
Constant Field
Value
`public static final String`
`ABSTRACT_KEY`
`"(abstract)"`
`public static final String`
`CLASS_KEY`
`"(class)"`
`public static final String`
`CONSTRUCTOR_ARG_PREFIX`
`"$"`
`public static final String`
`LAZY_INIT_KEY`
`"(lazy-init)"`
`public static final String`
`PARENT_KEY`
`"(parent)"`
`public static final String`
`REF_PREFIX`
`"*"`
`public static final String`
`REF_SUFFIX`
`"(ref)"`
`public static final String`
`SCOPE_KEY`
`"(scope)"`
`public static final String`
`SEPARATOR`
`"."`
`public static final String`
`SINGLETON_KEY`
`"(singleton)"`
`public static final String`
`TRUE_VALUE`
`"true"`

org.springframework.beans.factory.wiring.BeanWiringInfo
Modifier and Type
Constant Field
Value
`public static final int`
`AUTOWIRE_BY_NAME`
`1`
`public static final int`
`AUTOWIRE_BY_TYPE`
`2`

org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
Modifier and Type
Constant Field
Value
`public static final String`
`ID_ATTRIBUTE`
`"id"`
`public static final String`
`NAME_ATTRIBUTE`
`"name"`
org.springframework.beans.factory.xml.BeanDefinitionParserDelegate
Modifier and Type
Constant Field
Value
`public static final String`
`ABSTRACT_ATTRIBUTE`
`"abstract"`
`public static final String`
`ARG_TYPE_ELEMENT`
`"arg-type"`
`public static final String`
`ARG_TYPE_MATCH_ATTRIBUTE`
`"match"`
`public static final String`
`ARRAY_ELEMENT`
`"array"`
`public static final String`
`AUTOWIRE_ATTRIBUTE`
`"autowire"`
`public static final String`
`AUTOWIRE_AUTODETECT_VALUE`
`"autodetect"`
`public static final String`
`AUTOWIRE_BY_NAME_VALUE`
`"byName"`
`public static final String`
`AUTOWIRE_BY_TYPE_VALUE`
`"byType"`
`public static final String`
`AUTOWIRE_CANDIDATE_ATTRIBUTE`
`"autowire-candidate"`
`public static final String`
`AUTOWIRE_CONSTRUCTOR_VALUE`
`"constructor"`
`public static final String`
`AUTOWIRE_NO_VALUE`
`"no"`
`public static final String`
`BEAN_ELEMENT`
`"bean"`
`public static final String`
`BEAN_REF_ATTRIBUTE`
`"bean"`
`public static final String`
`BEANS_NAMESPACE_URI`
`"http://www.springframework.org/schema/beans"`
`public static final String`
`CLASS_ATTRIBUTE`
`"class"`
`public static final String`
`CONSTRUCTOR_ARG_ELEMENT`
`"constructor-arg"`
`public static final String`
`DEFAULT_AUTOWIRE_ATTRIBUTE`
`"default-autowire"`
`public static final String`
`DEFAULT_AUTOWIRE_CANDIDATES_ATTRIBUTE`
`"default-autowire-candidates"`
`public static final String`
`DEFAULT_DESTROY_METHOD_ATTRIBUTE`
`"default-destroy-method"`
`public static final String`
`DEFAULT_INIT_METHOD_ATTRIBUTE`
`"default-init-method"`
`public static final String`
`DEFAULT_LAZY_INIT_ATTRIBUTE`
`"default-lazy-init"`
`public static final String`
`DEFAULT_MERGE_ATTRIBUTE`
`"default-merge"`
`public static final String`
`DEFAULT_VALUE`
`"default"`
`public static final String`
`DEPENDS_ON_ATTRIBUTE`
`"depends-on"`
`public static final String`
`DESCRIPTION_ELEMENT`
`"description"`
`public static final String`
`DESTROY_METHOD_ATTRIBUTE`
`"destroy-method"`
`public static final String`
`ENTRY_ELEMENT`
`"entry"`
`public static final String`
`FACTORY_BEAN_ATTRIBUTE`
`"factory-bean"`
`public static final String`
`FACTORY_METHOD_ATTRIBUTE`
`"factory-method"`
`public static final String`
`FALSE_VALUE`
`"false"`
`public static final String`
`ID_ATTRIBUTE`
`"id"`
`public static final String`
`IDREF_ELEMENT`
`"idref"`
`public static final String`
`INDEX_ATTRIBUTE`
`"index"`
`public static final String`
`INIT_METHOD_ATTRIBUTE`
`"init-method"`
`public static final String`
`KEY_ATTRIBUTE`
`"key"`
`public static final String`
`KEY_ELEMENT`
`"key"`
`public static final String`
`KEY_REF_ATTRIBUTE`
`"key-ref"`
`public static final String`
`KEY_TYPE_ATTRIBUTE`
`"key-type"`
`public static final String`
`LAZY_INIT_ATTRIBUTE`
`"lazy-init"`
`public static final String`
`LIST_ELEMENT`
`"list"`
`public static final String`
`LOOKUP_METHOD_ELEMENT`
`"lookup-method"`
`public static final String`
`MAP_ELEMENT`
`"map"`
`public static final String`
`MERGE_ATTRIBUTE`
`"merge"`
`public static final String`
`META_ELEMENT`
`"meta"`
`public static final String`
`MULTI_VALUE_ATTRIBUTE_DELIMITERS`
`",; "`
`public static final String`
`NAME_ATTRIBUTE`
`"name"`
`public static final String`
`NULL_ELEMENT`
`"null"`
`public static final String`
`PARENT_ATTRIBUTE`
`"parent"`
`public static final String`
`PARENT_REF_ATTRIBUTE`
`"parent"`
`public static final String`
`PRIMARY_ATTRIBUTE`
`"primary"`
`public static final String`
`PROP_ELEMENT`
`"prop"`
`public static final String`
`PROPERTY_ELEMENT`
`"property"`
`public static final String`
`PROPS_ELEMENT`
`"props"`
`public static final String`
`QUALIFIER_ATTRIBUTE_ELEMENT`
`"attribute"`
`public static final String`
`QUALIFIER_ELEMENT`
`"qualifier"`
`public static final String`
`REF_ATTRIBUTE`
`"ref"`
`public static final String`
`REF_ELEMENT`
`"ref"`
`public static final String`
`REPLACED_METHOD_ELEMENT`
`"replaced-method"`
`public static final String`
`REPLACER_ATTRIBUTE`
`"replacer"`
`public static final String`
`SCOPE_ATTRIBUTE`
`"scope"`
`public static final String`
`SET_ELEMENT`
`"set"`
`public static final String`
`TRUE_VALUE`
`"true"`
`public static final String`
`TYPE_ATTRIBUTE`
`"type"`
`public static final String`
`VALUE_ATTRIBUTE`
`"value"`
`public static final String`
`VALUE_ELEMENT`
`"value"`
`public static final String`
`VALUE_REF_ATTRIBUTE`
`"value-ref"`
`public static final String`
`VALUE_TYPE_ATTRIBUTE`
`"value-type"`
org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader
Modifier and Type
Constant Field
Value
`public static final String`
`ALIAS_ATTRIBUTE`
`"alias"`
`public static final String`
`ALIAS_ELEMENT`
`"alias"`
`public static final String`
`BEAN_ELEMENT`
`"bean"`
`public static final String`
`IMPORT_ELEMENT`
`"import"`
`public static final String`
`NAME_ATTRIBUTE`
`"name"`
`public static final String`
`NESTED_BEANS_ELEMENT`
`"beans"`
`public static final String`
`PROFILE_ATTRIBUTE`
`"profile"`
`public static final String`
`RESOURCE_ATTRIBUTE`
`"resource"`
org.springframework.beans.factory.xml.DefaultNamespaceHandlerResolver
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_HANDLER_MAPPINGS_LOCATION`
`"META-INF/spring.handlers"`
org.springframework.beans.factory.xml.DelegatingEntityResolver
Modifier and Type
Constant Field
Value
`public static final String`
`DTD_SUFFIX`
`".dtd"`
`public static final String`
`XSD_SUFFIX`
`".xsd"`
org.springframework.beans.factory.xml.PluggableSchemaResolver
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SCHEMA_MAPPINGS_LOCATION`
`"META-INF/spring.schemas"`
org.springframework.beans.factory.xml.XmlBeanDefinitionReader
Modifier and Type
Constant Field
Value
`public static final int`
`VALIDATION_AUTO`
`1`
`public static final int`
`VALIDATION_DTD`
`2`
`public static final int`
`VALIDATION_NONE`
`0`
`public static final int`
`VALIDATION_XSD`
`3`

org.springframework.beans.propertyeditors.CustomBooleanEditor
Modifier and Type
Constant Field
Value
`public static final String`
`VALUE_0`
`"0"`
`public static final String`
`VALUE_1`
`"1"`
`public static final String`
`VALUE_FALSE`
`"false"`
`public static final String`
`VALUE_NO`
`"no"`
`public static final String`
`VALUE_OFF`
`"off"`
`public static final String`
`VALUE_ON`
`"on"`
`public static final String`
`VALUE_TRUE`
`"true"`
`public static final String`
`VALUE_YES`
`"yes"`
org.springframework.beans.propertyeditors.ResourceBundleEditor
Modifier and Type
Constant Field
Value
`public static final String`
`BASE_NAME_SEPARATOR`
`"_"`
org.springframework.beans.propertyeditors.StringArrayPropertyEditor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SEPARATOR`
`","`

org.springframework.beans.support.PagedListHolder<E>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_LINKED_PAGES`
`10`
`public static final int`
`DEFAULT_PAGE_SIZE`
`10`